Revoke an API key
curl --request DELETE \
--url https://intentleads.si/api/v1/keys/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://intentleads.si/api/v1/keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/keys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"id": "7f3c2a9e-4b1d-4e8a-9c6f-2d5b8e1a0c34",
"revoked": true,
"revoked_self": false
}{
"error": "unauthorized",
"message": "Send a valid API key as: Authorization: Bearer il_live_…"
}{
"error": "admin_key_required",
"message": "This needs an admin API key. Owners can create one on the API and CLI page."
}{
"error": "key_not_found",
"message": "No active key with that id."
}{
"error": "internal_error",
"message": "Something went wrong. Try again."
}Revoke an API key
Revokes a key; it stops working at once. revoked_self is true when you revoked the key that made this call.
Admin key required. Standard keys get 403 admin_key_required.
DELETE
/
api
/
v1
/
keys
/
{id}
Revoke an API key
curl --request DELETE \
--url https://intentleads.si/api/v1/keys/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://intentleads.si/api/v1/keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://intentleads.si/api/v1/keys/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"id": "7f3c2a9e-4b1d-4e8a-9c6f-2d5b8e1a0c34",
"revoked": true,
"revoked_self": false
}{
"error": "unauthorized",
"message": "Send a valid API key as: Authorization: Bearer il_live_…"
}{
"error": "admin_key_required",
"message": "This needs an admin API key. Owners can create one on the API and CLI page."
}{
"error": "key_not_found",
"message": "No active key with that id."
}{
"error": "internal_error",
"message": "Something went wrong. Try again."
}Authorizations
An Intent Leads API key, e.g. il_live_ followed by 32 letters and digits. Create one on the API and CLI page of the dashboard.
Path Parameters
Key id.